# Class HttpBackendProvider

HTTP backend used by the ng.$http service that delegates to XMLHttpRequest object and deals with browser incompatibilities.

You should never need to use this service directly, instead use the higher-level abstractions: ng.$http $http.

- Defined in src/services/http-backend/http-backend.js:12

##### Index

### Constructors

constructor

### Properties

$get

## Constructors

### constructor

- new HttpBackendProvider(): HttpBackendProvider

  HTTP backend used by the ng.$http service that delegates to XMLHttpRequest object and deals with browser incompatibilities.

  You should never need to use this service directly, instead use the higher-level abstractions: ng.$http $http.

  #### Returns HttpBackendProvider

  - Defined in src/services/http-backend/http-backend.js:12

## Properties

### $get

$get: (
| string
| (
(
$browser: Browser,
) => (
method: any,
url: any,
post: any,
callback: any,
headers: any,
timeout: any,
withCredentials: any,
responseType: any,
eventHandlers: any,
uploadEventHandlers: any,
) => void
)
)[]

#### Type declaration

- string
- (
  $browser: Browser,
  ) => (
  method: any,
  url: any,
  post: any,
  callback: any,
  headers: any,
  timeout: any,
  withCredentials: any,
  responseType: any,
  eventHandlers: any,
  uploadEventHandlers: any,
  ) => void
  - - (
      $browser: Browser,
      ): (
      method: any,
      url: any,
      post: any,
      callback: any,
      headers: any,
      timeout: any,
      withCredentials: any,
      responseType: any,
      eventHandlers: any,
      uploadEventHandlers: any,
      ) => void

    - #### Parameters

      - $browser: Browser

      #### Returns (
      method: any,
      url: any,
      post: any,
      callback: any,
      headers: any,
      timeout: any,
      withCredentials: any,
      responseType: any,
      eventHandlers: any,
      uploadEventHandlers: any,
      ) => void

- Defined in src/services/http-backend/http-backend.js:13